%define name	polyxmass
%define version	0.8.7
%define release 1mdk

Name: 	 	%{name}
Summary: 	Software suite for mass spectrometry of polymers
Version: 	%{version}
Release: 	%{release}

Source:		%name-bin-%version.tar.bz2
Patch: 		polyxmass_docbook2man.patch.bz2
URL:		http://www.polyxmass.org/
License:	GPL
Group:		Sciences/Chemistry
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	polyxmass-data polyxmass-common
BuildRequires:	polyxmass-common docbook-utils

%description
The polyxmass mass spectrometric software is a computer framework for mass
spectrometry specifically for polymers. This project is modular and involves
a number of packages.

%prep
%setup -q -n %name-bin-%version

%patch0 -p1

%build
%configure
%make

%install
%makeinstall_std
%find_lang %name-bin
rm -fr $RPM_BUILD_ROOT/%_docdir

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name-bin.lang
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS NEWS THANKS TODO
%_bindir/*
%_datadir/%name/*
%_mandir/man1/*

%changelog
* Wed Apr 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.7-1mdk
- 0.8.7
- patch0: polyxmass_docbook2man to use docbook2man
- buildrequires docbook-utils

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.8.6-1mdk
- 0.8.6

* Mon Jan 31 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Tue Jan 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- migrate to new 0.8 branch

* Wed Feb 25 2004 Austin Acton <austin@mandrake.org> 0.7.0-1mdk
- 0.7.0

* Wed Oct 15 2003 Austin Acton <aacton@yorku.ca> 0.6.1-1mdk
- initial package
